List Notifications In A Repository
GET/api/v5/repos/:owner/:repo/notifications
Request
Path Parameters
owner stringrequired
repo stringrequired
Query Parameters
access_token stringrequired
User authorization code
unread boolean
Whether unread, default true
type string
Filter specified types of notifications, all: all, event: event notification, referer: @notification
since string
Retrieve only the messages updated before the given time, with the time format required to be in ISO 8601.
before string
Retrieve only the messages updated before the given time, with the time format required to be in ISO 8601.
ids string
Specify a group of notification IDs, separated by commas.
Responses
- 200
Response Headers
- application/json
- Schema
- Example (auto)
Schema
- Array [
- ]
list object[]required
idstringrequired
contentNotification content (string)required
typenotification type (string)required
unreadunread (boolean)required
update_atUpdate time (string)required
html_urlThe resource access URL that triggered the message. (string)required
actor objectrequired
idintegerrequired
loginstringrequired
namestringrequired
repository objectrequired
idintegerrequired
full_namestringrequired
human_namestringrequired
urlstringrequired
{
"list": [
{
"id": "string",
"content": "string",
"type": "string",
"unread": true,
"update_at": "string",
"html_url": "string",
"actor": {
"id": 0,
"login": "string",
"name": "string"
},
"repository": {
"id": 0,
"full_name": "string",
"human_name": "string",
"url": "string"
}
}
]
}